#%global debug_package %{nil}

%global forgeurl https://github.com/marton78/pffft
%global commit      68a6abe8307054add263f78d177e1cfd856a2885
%forgemeta

Name:           pffft
Version:        0
Release:        0%{?dist}
URL:	        %{forgeurl}
Source:         %{forgesource}
Summary:        Julien Pommier's Pretty Fast FFT (PFFFT) library

License:        BSD-3-Clause #but reordered?
#URL:            

BuildRequires:  cmake >= 3.10
BuildRequires:  ninja-build
BuildRequires:  gcc gcc-c++ %{toolchain}

%description
PFFFT does 1D Fast Fourier Transforms, of single precision real and complex vectors.
It tries do it fast, it tries to be correct, and it tries to be small.

Computations do take advantage of SSE1 instructions on x86 cpus,
Altivec on powerpc cpus, and NEON on ARM cpus.


%prep
%forgesetup

sed -i 's|\(int pffastconv_simd_size\)()|\1(void)|' pffastconv.h pffastconv.c
sed -i 's|DESTINATION lib| DESTINATION %{_lib}|' CMakeLists.txt

%build


%cmake -GNinja \
    -DPFFFT_USE_TYPE_DOUBLE=OFF \
    -DINSTALL_PFDSP=ON \
    -DINSTALL_PFFASTCONV=ON \
    -DPFFFT_USE_BENCH_GREEN=OFF \
    -DPFFFT_USE_BENCH_KISS=OFF \
    -DPFFFT_USE_BENCH_POCKET=OFF \
    -DPFFFT_USE_FFTPACK=OFF

%cmake_build


%install
%cmake_install


%check


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/libpffastconv.a
%{_libdir}/libpfdsp.a
%{_libdir}/libpffft.a


%{_includedir}/pffft.h
%{_includedir}/pffft.hpp
%{_includedir}/pffastconv.h

%{_includedir}/pf_mixer.h
%{_includedir}/pf_cplx.h
%{_includedir}/pf_carrier.h
%{_includedir}/pf_cic.h

%changelog
%autochangelog

